//////////////////////////////////////////////////////////////////////////////
//
//////////////////////////////////////////////////////////////////////////////
//
//
//
//
//
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __GPU_H__
#define __GPU_H__

#include "Common.h"

#define COLOUR_SCHEME_DEFAULT	0
#define COLOUR_SCHEME_AMBER		1
#define COLOUR_SCHEME_GREEN		2

extern	UINT8	ws_gpu_scanline;
extern	UINT8	ws_gpu_operatingInColor;
extern	UINT8	ws_videoMode;
extern	INT16	ws_palette[16*4];
extern	INT8	ws_paletteColors[8];
extern	INT16	wsc_palette[16*16];
extern  unsigned int ws_gpu_unknownPort;


void ws_gpu_init(void);
void ws_gpu_done(void);
void ws_gpu_reset(void);
void ws_gpu_renderScanline(INT16 *framebuffer);
void ws_gpu_changeVideoMode(UINT8 value);
void ws_gpu_write_byte(UINT32 offset, UINT8 value);
void ws_gpu_port_write(UINT32 port,UINT8 value);
UINT8 ws_gpu_port_read(UINT8 port);
void ws_gpu_set_colour_scheme(int scheme);
void ws_gpu_changeVideoMode(UINT8 value);
void ws_gpu_forceColorSystem(void);
void ws_gpu_forceMonoSystem(void);
void ws_gpu_clearCache(void);

#endif

